Subject: Re: KMSAN: uninit-value in ath9k_htc_rx_msg

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 25 Aug 2022 17:55:40 +0200

Alexander Potapenko <[email-masked]> writes:

> On Thu, Aug 25, 2022 at 4:34 PM Tetsuo Handa
> <[email-masked]> wrote:
>>
>> Hello.
> Hi Tetsuo,
>
>> I found that your patch was applied. But since the reproducer tested only 0 byte
>> case, I think that rejecting only less than sizeof(struct htc_frame_hdr) bytes
>> is not sufficient.
>>
>> More complete patch with Ack from Toke is waiting at
>> https://lkml.kernel.org/r/[email-masked] .
>
> Thanks for letting me know! I just checked that your patch indeed
> fixes the issue I am facing.
> If it is more complete, I think we'd indeed better use yours.

FWIW, that patch is just waiting for Kalle to apply it, and I just
noticed this whole thread has used his old email address, so updating
that now as a gentle ping :)

-Toke